
# nohup R CMD BATCH diffusr.R diffusr.Rout > diffusr.output 2>&1 &

library(diffusr)

load('intM.RData')
intM[1:3,1:3]
dim(intM) 

seed<- readLines('input.txt',-1)
length(seed)

seed.gene<- intersect(colnames(intM),seed)
length(seed.gene) 

h0<- rep(0,ncol(intM))
h0[colnames(intM) %in% seed.gene]<- 1/length(seed.gene)
sum(h0)
h0<- as.vector(h0)

diffusr_template <- heat.diffusion(h0, graph=intM)
sum(diffusr_template)

names(diffusr_template)<- colnames(intM)

write.table(cbind(gene=names(diffusr_template),heat=diffusr_template,seed=as.numeric(names(diffusr_template) %in% seed.gene)),
file='output.csv',quote=F,row.names=F,sep=',')

q(save='no')
